/***************************************************************************
* $Id: Main.java 142206 2002-03-10 16:08:04Z rdale $
**
* Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
* This file is part of an example program for Qt.  This example
* program may be used, distributed and modified without limitation.
**
****************************************************************************/

import org.kde.qt.*;

public class Main {

public static void main(String[] args)
{
    QApplication a = new QApplication( args );

    
    boolean isSmall =  Qt.qApp().desktop().size().width() < 450
		  || Qt.qApp().desktop().size().height() < 450;
    
    int i;
    for ( i= 0; i<args.length; i++ ) {
	Editor e = new Editor();
	e.setCaption("Qt Example - QWERTY");
	e.load( args[i] );
	if ( isSmall ) {
	    e.showMaximized();
	} else {
	    e.resize( 400, 400 );
	    e.show();
	}
    }
    a.connect(a, Qt.SIGNAL("lastWindowClosed()"), a, Qt.SLOT("quit()") );
    a.exec();
    return;
}

	static {
		qtjava.initialize();
	}
}

